=== debian/changelog ===
stopwatch-home (0.1) unstable; urgency=low

  * Initial release.

 -- Alexander Schremmer <alex@alexanderweb.de>  Sun, 13 Dec 2009 00:05:13 +0100
