=== debian/control ===
Source: stopwatch-home
Section: user/desktop
Priority: optional
Maintainer: Alexander Schremmer <alex@alexanderweb.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libxcb1, libalarm-dev, libxrender-dev
Standards-Version: 3.7.2

Package: stopwatch-home
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple stopwatch for the Desktop.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAA7DAAAOwwHHb6hkAAAD
 vElEQVR4nNVVX0xbVRz+bm8p7TouF0rpHXO2ddB1sojKnMmYPM0n4uaU1D/PxhjfJ0PRYLK4IW/6
 5IvGxCxKSPaHkLjAFt4NmzOhKZRNNkqhQKHltiu9a3s9v7NRW25h+rgv+eW0v3PO993z+3MO8KxD
 2G2yv7/fUm03dwm60M3+HmLW/mRqktm0LujD2XRulK3T/rfAhcHzZwQI377S1t7c+mIr5Lo67LHt
 4XMPMw+RWF/HVHAKt+9MzurQP+s923f5PwkMDQ2J9+Zmzjc1PXfura7TkKQa5PMFFPQC1uJrfE29
 ox4mwQRRNGFjQ8XI6FVEo5GLL3h8fYFAIF/KJ24XOHrs5YHD/taeM6ffhWgWkdU0JpBHoVCAysjo
 t9Vq5eOjXA6WagteOtKGRCJxYvbutG187ObYjgIUFsXV9N3bp96BpmWZaZx4y4iYrNSXYyI6O53P
 58fc/bmO14+/9teNsZshgwAltMoiXgl0f1AvsMBtZjfLiMiu/34d4XAYHq/HICKwTV7PQfx551b7
 iY7OHyYmJniozFsCVntVt9/nb5YkCaury2CJMyRMTaX4mGXi26Fls2hoaARxhGZCVHWXygQYXxcd
 M6kmsKkZCQiplPpYgIWvEjbUJA9VaDrUZRRgNe5yKVhbX+Xxr4R0Kr3jCQhJXQdx4N9+KRNQbFYb
 7obv8fA4XQ4DgfrkBD/9+HPR9/6HAT6uxOKs5gXs7zxAxb+/kgAvveXlx/G3WMsrWFVTCAaDxq9O
 JvhI+0iAOEpRKrCUSqdqDx/xI8M6tYwkkeQ98MmnH0OWZYMIwXvQDRvrdMZB+VyoJDAZicwfoi5d
 yeeKTupe1kS8ex0OY9hK4ahzgHFwri2fqTgrYDQcnoazwYXqqmqwpuBfHo/H4XQ6sU/Zx307Ge2h
 MiUO4jKcYDP9aPhB5MHXqysrzU5nI/vqdYgmEYqicPKnQZbrwPaCccwS15a/mEnqvDdPnlxcWFwI
 HG0/Bgqk3W6HXCuzS03c1fba90KqkXF15DIy2cxHX37x1ZRBgDA+fiP4RudxezQa7WhrexVmiwV5
 dhWIopnb5B+3sLQYw/Nud9EnSTITqMG1kSt0AwyeO9v3fSmnCdvgdbf0LkTnL1769RekWOUojQpq
 pVr+Fgjsiiaj3+SjOVpDa6OLkUHau51vxwdnYOCbbt2kX3Af8DS3tPh4h7oaXXwuthxDLLbEEjqD
 +/Nzs0JB6O3p+Xy4Es9Tn0ybzXKKCb3HUuJF6ZMp4G9G/Fsmo13b7cl89vEPmPC2VlKP4wYAAAAA
 SUVORK5CYII=
