## stopwatch-home 0.2

=== debian/changelog ===
stopwatch-home (0.2) karmic; urgency=low

  * Reduce CPU usage.

 -- Alexander Schremmer <alex@alexanderweb.de>  Tue, 15 Dec 2009 17:10:16 +0100
