=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple stopwatch for the Desktop.
+XB-Maemo-Display-Name: Stopwatch-home
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAA7DAAAOwwHHb6hkAAAD
  vElEQVR4nNVVX0xbVRz+bm8p7TouF0rpHXO2ddB1sojKnMmYPM0n4uaU1D/PxhjfJ0PRYLK4IW/6
  5IvGxCxKSPaHkLjAFt4NmzOhKZRNNkqhQKHltiu9a3s9v7NRW25h+rgv+eW0v3PO993z+3MO8KxD
