=== debian/changelog ===
stopwatch-home (0.3) karmic; urgency=low

  * Add bugtracker URL.
  * Remove dependency on libalarm-dev.

 -- Alexander Schremmer <alex@alexanderweb.de>  Thu, 17 Dec 2009 14:40:58 +0100
