=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Alexander Schremmer <alex@alexanderweb.de>
-Build-Depends: debhelper (>= 5), libqt4-dev, libxcb1, libalarm-dev, libxrender-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libxcb1, libxrender-dev
 Standards-Version: 3.7.2
 
 Package: stopwatch-home
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: Simple stopwatch for the Desktop.
 XB-Maemo-Display-Name: Stopwatch-home
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=4404&group_id=1170&func=browse
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAA7DAAAOwwHHb6hkAAAD
  vElEQVR4nNVVX0xbVRz+bm8p7TouF0rpHXO2ddB1sojKnMmYPM0n4uaU1D/PxhjfJ0PRYLK4IW/6
  5IvGxCxKSPaHkLjAFt4NmzOhKZRNNkqhQKHltiu9a3s9v7NRW25h+rgv+eW0v3PO993z+3MO8KxD
